---
deprecated: true
search:
  tags:
    - Collections
    - PUT
seo:
  description: >-
    Deprecated: Use the Collections V2… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products endpoint
    in the Management API.
sidebar:
  label: Add products to collection
  badge: PUT
title: Add products to collection
type: openapi-operation
---
Deprecated: Use the Collections V2 API. Adds one or more products to a collection. Validates that products exist and are not deleted before association.

`PUT /api/v1/{team_slug}/{app_slug}/collections/{collection_id}/products`

**Deprecated.**

**Request body** (`application/json`, required)

Product IDs to add

- `product_ids` (string[], required)

Request body example:

```json
{
  "product_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — Collection updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": "string",
  "details": [
    "string"
  ],
  "success": true
}
```
